import greenfoot.*;

public class MyWorld extends World
{
    final int pipeSpacing = 80;
    final int pipeFrequency = 95;

    boolean alive = true;

    David bird = new David();
    Sendiri corpse;
    
    Score score;

    public MyWorld()
    {    
        super(384, 512, 1, false);

        Greenfoot.setSpeed(50);

        prepare();
    }

    public void prepare()
    {
        addObject(bird, getWidth()/4, getHeight()/2);
        
        Score.count = 0;
        
        score = new Score();
        addObject(score, getWidth()/2, 100);
    }

    public void act()
    {
        if(alive)
        
            if(bird.lifeTime%pipeFrequency == 0)
                addPipes();
    }

    public void addPipes()
    {
          removeObject(score);
        
        score = new Score();
        addObject(score, getWidth()/2, 100);
        int location = Greenfoot.getRandomNumber(getHeight()-250)+125;

        addObject(new Tubesbawah(location, pipeSpacing), getWidth()+100, location+230+pipeSpacing);
        addObject(new Tubesatas(location, pipeSpacing), getWidth()+100, location-230-pipeSpacing);
        
      
    }

    public void killBird()
    {
        corpse = new Sendiri(bird.fallSpeed, bird.getRotation());

        addObject(corpse, bird.getX(), bird.getY());
        removeObject(bird);

        alive = false;
        
        Greenfoot.playSound("sendiri.wav");
    }
}